Skip to content

Delete DBaaS

DELETE
/api/v1/rds/cluster/{Cluster_id}/
curl --request DELETE \
--url 'https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
Cluster_id
required
integer

Cluster Id

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Successfully retrieved cluster information

Media typeapplication/json
object
code

Response status code.

integer
data
object
cluster_id

The ID of the DBaaS cluster.

integer
name

The name of the DBaaS cluster.

string
errors

An empty object, meaning no errors occurred.

object
message

A success message indicating the request was processed successfully.

string

Example

{
"code": 200,
"data": {
"cluster_id": 5276,
"name": "E2E-DBaaS-26322-2920"
},
"errors": {},
"message": "Success"
}